Skip to content
Rails / Passenger / Gitorious enviroment installation script
Shell
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
developer_aux/gedit-2
.gitignore
README
developer-env-install.sh
gitorious-env-install.sh
passenger-mysql-env-install.sh
rails-env-install.sh

README

This script will be discontinued. If you want to install rails environment you should try deprec(http://github.com/mbailey/deprec/).
For the gitorious script, it has been a long time without updating. I'm planning to develop a deprec script for it.

==============================================================================
==============================================================================

Basic rails environment installation script for Ubuntu
Developed by Marcelo Murad - email at marcelomurad dot com
You can redistribute it and/or modify it under either the terms of the GPL (http://www.gnu.org/licenses/gpl-3.0.txt)

==== gitorious-env-install.sh ===
When executed it will install gitorious with all it dependencies packages and gems.
This script was tested with ubuntu 8.04 server, but it can fail because the hardcoded
versions in it.

- Todo
  - Don't ask for mysql password
  - Remove hard coded versions of gems
  - Put some error verifications

==== rails-env-install.sh ===
When executed it will:

- Install the following packages
  -ssh
  -ruby
  -ruby1.8-dev
  -ruby-pkg-tools
  -rdoc
  -ri
  -irb
  -sqlite3
  -libopenssl-ruby
  -libsqlite3-ruby
  -sqlitebrowser
  -wget

- Download rubygems-1.3.2 and install

- Create symlink for gem in /usr/bin

- Install rails gem

- Additional gems installation rspec ruby-debug


=== passenger-mysql-env-install.sh ===
When executed it will:

- Install the following packages
  -apache2
  -mysql-server-5.0
  -build-essential
  -gcc
  -apache2-prefork-dev
  -libmysql-ruby
  -libmysqlclient15-dev

- Install passenger 2.2.0, mysql gem

- Install passenger to apache

- Add passenger module to apache and enable it


=== developer-env-install.sh ===
When executed it will:

- Enable irb autocomplete

- Download and install gmate from github (http://github.com/lexrupy/gmate/tree/master)

- Set my default configurations to gedit

Something went wrong with that request. Please try again.